let load_url s =
  let buff = Buffer.create 4096 in 
  let conn = Curl.init () in
  Curl.set_url conn s;
  Curl.set_writefunction conn (Buffer.add_string buff);
  Curl.perform conn;
  Buffer.contents buff


let () = 
  Config.register 
    "curl" 
    "Load external URLs with curl"
    (fun () -> Url.load_url := load_url)
