type path

val print_path: Format.formatter -> path -> unit

val explain: Types.t -> Value.t -> path option
  (** [explain v t] 
    Return a path on [v] that explains why [v] is not of type [t],
    or [None] if [v] has type [t]
  *)
